MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027505Open CASCADE[OCCT] OCCT:Visualizationpublic2016-05-16 07:312016-12-09 16:37
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027505: Visualization, Font_FontMgr - do not look for fonts.dir on OS X
DescriptionCurrent implementation of Font_FontMgr appends correct standard folder on OS X, however the actual search procedure is looking for fonts.dir file in folder, which is missing (X11-specific).

The code should be updated to take register all font files from standard folders, as is done on Android.
Steps To Reproducetest case 3rdparty/fonts/A8
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025978closedbugmaster Open CASCADE Visualization - setup font aliases for Android 

-  Notes
(0054043)
git (administrator)
2016-05-16 07:39

Branch CR27505 has been created by kgv.

SHA-1: b9efaf4acd99e1b1d512d20f11ed5e5d7520cfae


Detailed log of new commits:

Author: kgv
Date: Mon May 16 07:39:14 2016 +0300

    0027505: Visualization, Font_FontMgr - do not look for fonts.dir on OS X
    
    Font_FontMgr::InitFontDataBase() now uses the same approach on OS X as on Android
    ignoring fonts.dir files which are non used on these systems.
(0054044)
kgv (developer)
2016-05-16 09:18

Please check compilation (regression testing makes sense only on Android and OS X platforms).
(0054089)
bugmaster (administrator)
2016-05-17 13:43

check compilation : there are no new warnings on all platforms
Tested on MacOS. Fonts are found by testing cases.
http://occt-tests/CR27505_master-OCCT/MacOS/3rdparty/fonts/A2.html [^]
(0054172)
git (administrator)
2016-05-20 12:20

Branch CR27505 has been deleted by inv.

SHA-1: b9efaf4acd99e1b1d512d20f11ed5e5d7520cfae

- Related Changesets
occt: master 264abd72
Timestamp: 2016-05-16 04:39:14
Author: kgv
Committer: bugmaster
Details ] Diff ]
0027505: Visualization, Font_FontMgr - do not look for fonts.dir on OS X

Font_FontMgr::InitFontDataBase() now uses the same approach on OS X as on Android
ignoring fonts.dir files which are non used on these systems.
mod - src/Font/Font_FontMgr.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-05-16 07:31 kgv New Issue
2016-05-16 07:31 kgv Assigned To => kgv
2016-05-16 07:31 kgv Relationship added child of 0027502
2016-05-16 07:39 git Note Added: 0054043
2016-05-16 07:39 kgv Status new => resolved
2016-05-16 09:18 kgv Note Added: 0054044
2016-05-16 09:18 kgv Assigned To kgv => bugmaster
2016-05-16 09:18 kgv Status resolved => reviewed
2016-05-16 09:18 kgv Steps to Reproduce Updated View Revisions
2016-05-16 09:19 kgv Relationship added related to 0025978
2016-05-16 09:21 kgv Product Version 7.0.0 => 6.6.0
2016-05-17 13:43 bugmaster Note Added: 0054089
2016-05-17 13:43 bugmaster Status reviewed => tested
2016-05-20 11:18 bugmaster Changeset attached => occt master 264abd72
2016-05-20 11:18 bugmaster Status tested => verified
2016-05-20 11:18 bugmaster Resolution open => fixed
2016-05-20 12:20 git Note Added: 0054172
2016-12-09 16:33 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker